﻿namespace BookCatalog.Controllers
{
    using System.Web.Mvc;
    using BookCatalog.Models.Repositories;

    public class CatalogController : Controller
    {
        private readonly IBookDetailsRepository _bookdetailsRepository;

        // If you are using Dependency Injection, you can delete the following constructor
        public CatalogController()
            : this(new BookDetailsRepository())
        {
        }

        public CatalogController(IBookDetailsRepository bookdetailsRepository)
        {
            this._bookdetailsRepository = bookdetailsRepository;
        }

        // GET: /Catalog/
        public ViewResult Index()
        {
            return this.View(
                this._bookdetailsRepository.AllIncluding(
                    bookdetails => bookdetails.Language,
                    bookdetails => bookdetails.Publisher,
                    bookdetails => bookdetails.Tags));
        }
    }
}